DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FeatureFeret

Measure the object's Feret diameters

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureFeretID ( void )

## FUNCTION

`dip_FeatureFeretID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function measures the Feret maximum and minimum diameters of an object. The Feret diameter are found by rotating the object chaincode. The default angle stepsize is defined by `DIP_MSR_FERET_ACCURACY` (set to 0.5 degrees). This measurement function supports a measurement parameter (see `Measure`), which is defined in `dip_measurement`.h. If a non-zero pointer to a `dip_FeretParameters` structure is supplied, the structure's `stepsize` parameter is used instead of the default angle stepsize. Furthermore the structure's `angles` boolean parameter specifies whether the angles of the Feret diameters should be measured as well. This function supports 2D images only.

The original code on which the current implementation is based, was donated by Gerie van der Heijden.

## ARGUMENTS

Data type | Name | Description
`dip_FeretParameters` | `*feret` | Pointer to a Feret measurement parameters structure (not yet implemented)

## SEE ALSO

`Measure`, `FeatureSize`, `FeatureCenter`, `FeatureGravity`, `FeatureMean`, `FeatureStdDev`, `FeatureMaximum`, `FeatureMinimum`, `FeatureMaxVal`, `FeatureMinVal`, `FeaturePerimeter`, `FeatureSurfaceArea`, `FeatureMass`, `FeatureInertia`

DIPlib on-line documentation | Function reference | Global function index